Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Management

Create API key

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

POST
/public/api/v1/management/api-keys

Creates a new merchant API key. This is the key merchants and external systems must use to communicate with the ePay API.

Partner Specific: Partners should instead use partner keys to generate an access token, when accessing ePay apis on behalf our merchants.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

namestring
Required

A display name for the API key visible in the ePay backoffice. This can be used to indicate the reason or usage of the API key.

Example:
"My Name"

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/public/api/v1/management/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "My Name"  }'
{  "name": "My Name",  "key": "test_13cfbcbf-fd20-4dc5-9b16-209f6c708119"}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}